unit uViewPagosProveedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewBase, DB, uDADataTable, dxLayoutControl,
  cxControls, cxCurrencyEdit, cxDBEdit, cxMemo, cxMaskEdit, cxDropDownEdit,
  cxCalendar, cxContainer, cxEdit, cxTextEdit, cxStyles, cxCustomData,
  cxGraphics, cxFilter, cxData, cxDataStorage, cxDBData, cxSpinEdit,
  cxGridLevel, cxGridCustomTableView, cxGridTableView, cxGridDBTableView,
  cxClasses, cxGridCustomView, cxGrid, uBizPagosProveedor, ActnList, TB2Item,
  TBX, TB2Dock, TB2Toolbar, cxImageComboBox, dxLayoutLookAndFeels, ImgList,
  PngImageList, ComCtrls, ToolWin;

type
  IViewPagosProveedor = interface(IViewBase)
  ['{B75503B3-C6D2-453B-990C-5C7AC775F4D0}']
    function GetPagos: IBizPagosProveedor;
    procedure SetPagos(const Value: IBizPagosProveedor);
    property Pagos: IBizPagosProveedor read GetPagos write SetPagos;
  end;


  TfrViewPagosProveedor = class(TfrViewBase, IViewPagosProveedor)
    DADataSource: TDADataSource;
    dxLayoutControl1Group_Root: TdxLayoutGroup;
    dxLayoutControl1: TdxLayoutControl;
    dxLayoutControl1Group1: TdxLayoutGroup;
    dxLayoutControl1Item1: TdxLayoutItem;
    ListaPagosProveedor: TcxGrid;
    ListaPagosProveedorDBTableView1: TcxGridDBTableView;
    ListaPagosProveedorLevel1: TcxGridLevel;
    ListaPagosProveedorDBTableView1RecID: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1ID: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1ID_RECIBO: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1TIPO: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1FECHA_PAGO: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1TITULAR: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1ENTIDAD: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1SUCURSAL: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1DC: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1CUENTA: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1FECHA_ALTA: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1FECHA_MODIFICACION: TcxGridDBColumn;
    ListaPagosProveedorDBTableView1USUARIO: TcxGridDBColumn;
    ActionListContenido: TActionList;
    actAnadir: TAction;
    actEliminar: TAction;
    actModificar: TAction;
    dxLayoutLookAndFeelList1: TdxLayoutLookAndFeelList;
    dxLayoutOfficeLookAndFeel1: TdxLayoutOfficeLookAndFeel;
    dxLayoutControl1Item3: TdxLayoutItem;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ToolButton2: TToolButton;
    ContenidoImageList: TPngImageList;
    procedure ListaPagosProveedorDBTableView1CellDblClick(
      Sender: TcxCustomGridTableView;
      ACellViewInfo: TcxGridTableDataCellViewInfo; AButton: TMouseButton;
      AShift: TShiftState; var AHandled: Boolean);
  private
    FPagos : IBizPagosProveedor;
    function GetPagos: IBizPagosProveedor;
    procedure SetPagos(const Value: IBizPagosProveedor);
  public
    property Pagos: IBizPagosProveedor read GetPagos write SetPagos;
  end;

implementation
{$R *.dfm}

{ TfrViewPagosProveedor }

function TfrViewPagosProveedor.GetPagos: IBizPagosProveedor;
begin
  Result := FPagos;
end;

procedure TfrViewPagosProveedor.ListaPagosProveedorDBTableView1CellDblClick(
  Sender: TcxCustomGridTableView; ACellViewInfo: TcxGridTableDataCellViewInfo;
  AButton: TMouseButton; AShift: TShiftState; var AHandled: Boolean);
begin
  inherited;
  actModificar.Execute;
end;

procedure TfrViewPagosProveedor.SetPagos(const Value: IBizPagosProveedor);
begin
  FPagos := Value;
  if Assigned(FPagos) then
    DADataSource.DataTable := FPagos.DataTable
  else
    DADataSource.DataTable := NIL;
end;

end.
